# astrad013-1.pp

# module astrad
# astrad v013
#
# Created on 120404 by andre.guimaraes@switzernet.com
#

class astrad013-1::installation{
        import "classes/asterisk_install.pp"
        import "classes/mysql-server.pp"
        import "classes/postfix.pp"
        import "classes/snmp.pp"
        import "classes/repos.pp"
        import "classes/textedits.pp"
	include repos
	include mysql-server
	include asterisk
	include postfix	
	include snmp

	package{[libdbi-perl, libdbd-mysql-perl, ntp, ngrep, libnet-rawip-perl, libconfig-inifiles-perl, libcrypt-cbc-perl, libcrypt-des-perl, libcrypt-rijndael-perl, libdigest-perl, liblist-moreutils-perl, liblist-compare-perl, libsys-syslog-perl, libmime-lite-perl, libdigest-md5-file-perl, libdate-manip-perl, libasterisk-agi-perl]:
		ensure => installed,
                require     => Package['mysql-server-5.1'],
	}
}

class astrad013-1::configuration{
        import "classes/textedits.pp"
        import "classes/asterisk_configuration.pp"
#        import "classes/db_content.pp"
        include astrad013-1::configuration::asterisk
#        include db
}

